# Kluster setup and IaaC using argoCD



### Key to authorize against `git.kluster.moll.re` (ssh)
```
ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIE+4SlRIV9wOKYZbBrPuW18K6GGjnDEviCYQvGQuKOm0 remy@ArchSpectre
```

### Initial setup
On a running (but otherwise bare) k3s instance run:
```
kubectl apply -k infrastructure/argocd
```
This will install argocd and CRDs in a dedicated namespace along with the app-of-apps configured under `kluster-deployments/`.

The app-of-apps will bootstrap a fully featured cluster with the following components
- postgres instance
- backup of all nfs PVCs using restic
- traefik along with metallb as a publicly accessible reverse proxy
- an nfs-provisioner creating PVCs on-demand
- the bitnami sealedsecrets-operator
- a range of selfhosted apps